std::__detector< _Default, __void_t< _Op< _Args... > >, _Op, _Args... > Struct Template Reference
Utilities » Metaprogramming

## Public Types

using | type = _Op< _Args... >
using | value_t = true_type

## Detailed Description

### template<typename _Default, template< typename... > class _Op, typename... _Args>
struct std::__detector< _Default, __void_t< _Op< _Args... > >, _Op, _Args... >

Implementation of the detection idiom (positive case).

Definition at line 2422 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits